Subject: Re: bug#17176: 24.3.50; Problem with manifests on cygw32 build with new binutils

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Apr 2014 05:48:22 +0300

> Date: Wed, 02 Apr 2014 18:19:34 -0400
> From: Ken Brown <[email-masked]>
> CC: [email-masked], Daniel Colascione <[email-masked]>
> 
> > Also, what about those Cygwin users who didn't yet upgrade to this new
> > version of Binutils? they will be left with no manifest.
> 
> They don't need one.  Cygwin binaries generally have no manifest (prior 
> to the Binutils change).  The only exceptions are for programs that need 
> a manifest to avoid UAC problems because their names happen to contain 
> "update" or "patch", for instance.

The set of names that trigger UAC prompts is not documented anywhere.
We only know some names that people discovered and reported, but not
the whole list.

Besides, the Emacs manifest has recently got an addition that is
important on Windows 8.1 and later, which has nothing to do with UAC.

> The fact that the cygw32 build of emacs uses a manifest is a consequence 
> (probably unintended, but only Daniel could say for sure) of the fact 
> that emacs.res is linked in.  And the only reason for linking in 
> emacs.res is to get the emacs icon into the cygw32 build.

Having a manifest is a system recommendation, not an Emacs invention.

> This isn't necessary.  The old Binutils works fine after the patch.  The 
> only difference is that there's no manifest but, as I said above, none 
> is needed.

I think this is a mistake, but I don't use Cygwin, so it's your call.